Bug 247414 - xchm crash in F8 rawhide
xchm crash in F8 rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 02:13 EDT by Ken YANG
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.8.4-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 22:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken YANG 2007-07-09 02:13:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070603 Fedora/2.0.0.4-2.fc8 Firefox/2.0.0.4

Description of problem:
hi all,


this problem had existed for more than a month.

when i click "font" button in xchm, the xchm will crash:

-(:17:11:$)-> xchm

***MEMORY-WARNING***: [1693]: GSlice: g_thread_init() must be called
before all other GLib functions; memory corruption due to late
invocation of g_thread_init() has been detected; this program is likely
to crash, leak or unexpectedly abort soon...
*** glibc detected *** xchm: double free or corruption (out): 0x092e1bb0 ***
======= Backtrace: =========
/lib/libc.so.6[0x4cef3f41]
/lib/libc.so.6(cfree+0x90)[0x4cef7580]
/lib/libglib-2.0.so.0(g_free+0x31)[0x44f3d821]
/usr/lib/libwx_gtk2u_core-2.8.so.0[0x4a0ef3fa]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN8wxButton10SetDefaultEv+0xdb)[0x4a0efa6b]
xchm[0x8071f9e]
xchm[0x806657f]
/usr/lib/libwx_baseu-2.8.so.0(_ZNK12wxAppConsole11HandleEventEP12wxEvtHandlerMS0_FvR7wxEventES3_+0x35)[0x49cf7045]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x8f)[0x49d9f78f]
/usr/lib/libwx_baseu-2.8.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0x7d)[0x49d9f8dd]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xc6)[0x49d9fa46]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN12wxWindowBase9TryParentER7wxEvent+0x6b)[0x4a1ca04b]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x7b)[0x49d9f9fb]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN13wxToolBarBase11OnLeftClickEib+0x62)[0x4a1bf562]
/usr/lib/libwx_gtk2u_core-2.8.so.0[0x4a12c760]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x450a48c9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x45096eb3]
/lib/libgobject-2.0.so.0[0x450a89ed]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x450a9e53]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x450aa0f9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0x57)[0x497d7587]
/usr/lib/libgtk-x11-2.0.so.0[0x497d96fe]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x450a48c9]
/lib/libgobject-2.0.so.0[0x450956a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x45096eb3]
/lib/libgobject-2.0.so.0[0x450a8e7a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x450a9e53]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x450aa0f9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0x57)[0x497d7617]
/usr/lib/libgtk-x11-2.0.so.0[0x497d7692]
/usr/lib/libgtk-x11-2.0.so.0[0x498cad72]
/lib/libgobject-2.0.so.0[0x450956a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x45096eb3]
/lib/libgobject-2.0.so.0[0x450a9033]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6d6)[0x450a9d06]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x450aa0f9]
/usr/lib/libgtk-x11-2.0.so.0[0x49a03bb8]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae)[0x498c2c7e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3c2)[0x498c4052]
/usr/lib/libgdk-x11-2.0.so.0[0x496cf59a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c)[0x44f360ec]
/lib/libglib-2.0.so.0[0x44f3952f]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x44f398d9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x498c44e4]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN11wxEventLoop3RunEv+0x5c)[0x4a09b3ec]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN9wxAppBase8MainLoopEv+0x4c)[0x4a13859c]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN9wxAppBase5OnRunEv+0x21)[0x4a137bb1]
/usr/lib/libwx_baseu-2.8.so.0(_Z7wxEntryRiPPw+0x6a)[0x49d342fa]
/usr/lib/libwx_baseu-2.8.so.0(_Z7wxEntryRiPPc+0x37)[0x49d343b7]
xchm[0x8058f90]
/lib/libc.so.6(__libc_start_main+0xe0)[0x4cea1f70]
xchm(_ZN19wxTopLevelWindowGTK14OnInternalIdleEv+0xb5)[0x8058e61]
======= Memory map: ========
00110000-0017d000 r-xp 00000000 08:07 3258046
/usr/lib/libgnomeprint-2-2.so.0.1.0
0017d000-0017f000 rwxp 0006c000 08:07 3258046
/usr/lib/libgnomeprint-2-2.so.0.1.0
0017f000-001c0000 r-xp 00000000 08:07 3258824
/usr/lib/libgnomeprintui-2-2.so.0.1.0
001c0000-001c2000 rwxp 00040000 08:07 3258824
/usr/lib/libgnomeprintui-2-2.so.0.1.0
001c2000-001ee000 r-xp 00000000 08:07 3257818
/usr/lib/libgnomecanvas-2.so.0.1400.0
001ee000-001ef000 rwxp 0002b000 08:07 3257818
/usr/lib/libgnomecanvas-2.so.0.1400.0
001ef000-001f6000 r-xp 00000000 08:07 3257861    /usr/lib/libpopt.so.0.0.0
001f6000-001f7000 rwxp 00006000 08:07 3257861    /usr/lib/libpopt.so.0.0.0
001f7000-00205000 r-xp 00000000 08:07 3259270
/usr/lib/libgnomecups-1.0.so.1.0.0
00205000-00206000 rwxp 0000e000 08:07 3259270
/usr/lib/libgnomecups-1.0.so.1.0.0
00206000-00239000 r-xp 00000000 08:07 3258220
/usr/lib/librsvg-2.so.2.16.1
00239000-0023a000 rwxp 00032000 08:07 3258220
/usr/lib/librsvg-2.so.2.16.1
0023a000-0029a000 r-xp 00000000 08:07 3257859
/usr/lib/libgnomevfs-2.so.0.1900.2
0029a000-0029d000 rwxp 0005f000 08:07 3257859
/usr/lib/libgnomevfs-2.so.0.1900.2
0029d000-002de000 r-xp 00000000 08:07 1855759    /lib/libssl.so.0.9.8b
002de000-002e2000 rwxp 00040000 08:07 1855759    /lib/libssl.so.0.9.8b
002ea000-0031f000 r-xp 00000000 08:07 3256140    /usr/lib/libcups.so.2
0031f000-00321000 rwxp 00034000 08:07 3256140    /usr/lib/libcups.so.2
00321000-0033a000 r-xp 00000000 08:07 1855758    /lib/libselinux.so.1
0033a000-0033c000 rwxp 00018000 08:07 1855758    /lib/libselinux.so.1
0033c000-00369000 r-xp 00000000 08:07 3257844
/usr/lib/libgssapi_krb5.so.2.2
00369000-0036a000 rwxp 0002d000 08:07 3257844
/usr/lib/libgssapi_krb5.so.2.2
0036a000-00372000 r-xp 00000000 08:07 3257831
/usr/lib/libkrb5support.so.0.1
00372000-00373000 rwxp 00007000 08:07 3257831
/usr/lib/libkrb5support.so.0.1
003cf000-003d0000 r-xp 00000000 08:07 3518832
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
003d0000-003d1000 rwxp 00001000 08:07 3518832
/usr/lib/gtk-2.0/2.10.0/loaders/svgAborted


Version-Release number of selected component (if applicable):
xchm-1.10-2.fc7.i386

How reproducible:
Always


Steps to Reproduce:
1.run xchm
2.click "font" button
3.xchm crash

Actual Results:


Expected Results:


Additional info:
Comment 1 Patrice Dumas 2007-07-09 03:05:38 EDT
I can reproduce the bug. As said on the list this is certainly 
a wxgtk bug, so I reset component to wxgtk.
Comment 2 Mamoru TASAKA 2007-07-09 03:29:48 EDT
And as I commented on devel mailing list,
this seems to be fixed on wx CVS.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245485#c10
Comment 3 Matthew Miller 2007-07-16 12:12:13 EDT
Is this still a problem with wxGTK 2.8.4?
Comment 4 Ken YANG 2007-07-16 21:20:22 EDT
yes, the problem is same:

-(:09:10:$)-> xchm
*** glibc detected *** xchm: double free or corruption (out): 0x09425530 ***
======= Backtrace: =========
/lib/libc.so.6[0x6bddf1]
/lib/libc.so.6(cfree+0x90)[0x6c1430]
/lib/libglib-2.0.so.0(g_free+0x31)[0x8df8e1]
/usr/lib/libwx_gtk2u_core-2.8.so.0[0xd20d9a]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN8wxButton10SetDefaultEv+0xdb)[0xd2143b]
xchm[0x8071f9e]
xchm[0x806657f]
/usr/lib/libwx_baseu-2.8.so.0(_ZNK12wxAppConsole11HandleEventEP12wxEvtHandlerMS0_FvR7wxEventES3_+0x35)[0x53e085]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x8f)[0x5e865f]
/usr/lib/libwx_baseu-2.8.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0x7d)[0x5e87ad]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xc6)[0x5e8916]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN12wxWindowBase9TryParentER7wxEvent+0x6b)[0xe0082b]
/usr/lib/libwx_baseu-2.8.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x7b)[0x5e88cb]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN13wxToolBarBase11OnLeftClickEib+0x62)[0xdf59b2]
/usr/lib/libwx_gtk2u_core-2.8.so.0[0xd601b0]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1c4969]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x1b6f33]
/lib/libgobject-2.0.so.0[0x1c8a8d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1c9ef3]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1ca199]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0x57)[0x6a71587]
/usr/lib/libgtk-x11-2.0.so.0[0x6a736fe]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1c4969]
/lib/libgobject-2.0.so.0[0x1b5729]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x1b6f33]
/lib/libgobject-2.0.so.0[0x1c8f1a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1c9ef3]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1ca199]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0x57)[0x6a71617]
/usr/lib/libgtk-x11-2.0.so.0[0x6a71692]
/usr/lib/libgtk-x11-2.0.so.0[0x6b64d72]
/lib/libgobject-2.0.so.0[0x1b5729]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x1b6f33]
/lib/libgobject-2.0.so.0[0x1c90d3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6d6)[0x1c9da6]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1ca199]
/usr/lib/libgtk-x11-2.0.so.0[0x6c9dbb8]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae)[0x6b5cc7e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3c2)[0x6b5e052]
/usr/lib/libgdk-x11-2.0.so.0[0xf5e59a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c)[0x8d81ac]
/lib/libglib-2.0.so.0[0x8db5ef]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x8db999]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x6b5e4e4]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN11wxEventLoop3RunEv+0x5c)[0xccab3c]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN9wxAppBase8MainLoopEv+0x4e)[0xd6c2de]
/usr/lib/libwx_gtk2u_core-2.8.so.0(_ZN9wxAppBase5OnRunEv+0x21)[0xd6b8d1]
/usr/lib/libwx_baseu-2.8.so.0(_Z7wxEntryRiPPw+0x6a)[0x57b7fa]
/usr/lib/libwx_baseu-2.8.so.0(_Z7wxEntryRiPPc+0x37)[0x57b8b7]
xchm[0x8058f90]
/lib/libc.so.6(__libc_start_main+0xe0)[0x66bf70]
xchm(_ZN19wxTopLevelWindowGTK14OnInternalIdleEv+0xb5)[0x8058e61]
======= Memory map: ========
00110000-00119000 r-xp 00000000 08:07 2440997   
/usr/lib/libwx_baseu_xml-2.8.so.0.1.1
00119000-0011a000 rwxp 00008000 08:07 2440997   
/usr/lib/libwx_baseu_xml-2.8.so.0.1.1
0011a000-00146000 r-xp 00000000 08:07 2440995   
/usr/lib/libwx_baseu_net-2.8.so.0.1.1
00146000-00148000 rwxp 0002b000 08:07 2440995   
/usr/lib/libwx_baseu_net-2.8.so.0.1.1
00148000-0015a000 r-xp 00000000 08:07 1855844    /lib/libz.so.1.2.3
0015a000-0015b000 rwxp 00011000 08:07 1855844    /lib/libz.so.1.2.3
0015b000-0015d000 r-xp 00000000 08:07 3262766    /usr/lib/libXinerama.so.1.0.0
0015d000-0015e000 rwxp 00001000 08:07 3262766    /usr/lib/libXinerama.so.1.0.0
0015e000-0015f000 r-xp 0015e000 00:00 0          [vdso]
0015f000-00186000 r-xp 00000000 08:07 1855846    /lib/libm-2.6.so
00186000-00187000 r-xp 00026000 08:07 1855846    /lib/libm-2.6.so
00187000-00188000 rwxp 00027000 08:07 1855846    /lib/libm-2.6.so
00188000-0019c000 r-xp 00000000 08:07 1855839    /lib/libpthread-2.6.so
0019c000-0019d000 r-xp 00013000 08:07 1855839    /lib/libpthread-2.6.so
0019d000-0019e000 rwxp 00014000 08:07 1855839    /lib/libpthread-2.6.so
0019e000-001a0000 rwxp 0019e000 00:00 0 
001a0000-001a3000 r-xp 00000000 08:07 1855842    /lib/libdl-2.6.so
001a3000-001a4000 r-xp 00002000 08:07 1855842    /lib/libdl-2.6.so
001a4000-001a5000 rwxp 00003000 08:07 1855842    /lib/libdl-2.6.so
001a5000-001a8000 r-xp 00000000 08:07 1855032    /lib/libgmodule-2.0.so.0.1307.0
001a8000-001a9000 rwxp 00002000 08:07 1855032    /lib/libgmodule-2.0.so.0.1307.0
001a9000-001ad000 r-xp 00000000 08:07 1855041    /lib/libgthread-2.0.so.0.1307.0
001ad000-001ae000 rwxp 00003000 08:07 1855041    /lib/libgthread-2.0.so.0.1307.0
001ae000-001ee000 r-xp 00000000 08:07 1855036    /lib/libgobject-2.0.so.0.1307.0
001ee000-001ef000 rwxp 00040000 08:07 1855036    /lib/libgobject-2.0.so.0.1307.0
001ef000-001f7000 r-xp 00000000 08:07 3257329   
/usr/lib/libgstinterfaces-0.10.so.0.9.0
001f7000-001f8000 rwxp 00008000 08:07 3257329   
/usr/lib/libgstinterfaces-0.10.so.0.9.0
001f8000-00212000 r-xp 00000000 08:07 3265398    /usr/lib/libatk-1.0.so.0.1912.1
00212000-00214000 rwxp 0001a000 08:07 3265398    /usr/lib/libatk-1.0.so.0.1912.1
00214000-0022f000 r-xp 00000000 08:07 3255878   
/usr/lib/libgdk_pixbuf-2.0.so.0.1105.0
0022f000-00230000 rwxp 0001a000 08:07 3255878   
/usr/lib/libgdk_pixbuf-2.0.so.0.1105.0
00230000-00255000 r-xp 00000000 08:07 3256084    /usr/lib/libpng12.so.0.16.0
00255000-00256000 rwxp 00024000 08:07 3256084    /usr/lib/libpng12.so.0.16.0
00256000-0025e000 r-xp 00000000 08:07 3260265    /usr/lib/libSM.so.6.0.0
0025e000-0025f000 rwxp 00007000 08:07 3260265    /usr/lib/libSM.so.6.0.0
0025f000-00280000 r-xp 00000000 08:07 3265425    /usAborted

above crash messages is occurred when i click "font" button
Comment 5 Matthew Miller 2007-07-16 22:41:01 EDT
I've applied the patch from
http://svn.wxwidgets.org/viewvc/wx?view=rev&revision=46513 as suggested by 
Mamoru Tasaka in the other bug; this fixes the problem.

The bug apparently is harmless in gtk < 2.11, so the fix isn't necessary in F-7.
Therefore, fixing in Rawhide only.
Comment 6 Ken YANG 2007-07-18 21:58:44 EDT

yes, now xchm works when clicking "font" button

thanks Matthew, Mamoru, Patrice

Note You need to log in before you can comment on or make changes to this bug.